import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./search-results.stories";

<Meta of={ComponentStories} name="Docs" />

# Search Results

This component manages and displays search results, updating them dynamically based on user-selected filters and sorting options. It listens for filter changes, sends API requests to retrieve updated data, and replaces the content accordingly. The component uses debounced requests to avoid excessive API calls and ensures smooth updates by maintaining form connections and managing the result container efficiently.

More examples:

https://d3uqrux26k5e4s.cloudfront.net/master/?path=/story/trumpf-com-search-search-results--search-results

https://d3uqrux26k5e4s.cloudfront.net/master/?path=/story/trumpf-com-search-search-results-pages--search-results-pages

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
